Skip to content
OpenPostDocs
OpenPostDocs
Profiles

Get an opt-in public publishing profile

GET/public/profiles/{username}

Path Parameters

username*string

Public profile username

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/public/profiles/string"
{  "$schema": "https://example.com/api/v1/schemas/PublicProfileOutputBody.json",  "active_days": 0,  "activity": [    {      "count": 0,      "date": "string",      "level": 0    }  ],  "avatar_url": "string",  "current_streak": 0,  "display_name": "string",  "joined_at": "2019-08-24T14:15:22Z",  "lifetime_posts": 0,  "longest_streak": 0,  "peak_posts": 0,  "plan_id": "string",  "top_platforms": [    {      "count": 0,      "key": "string",      "name": "string"    }  ],  "top_workspaces": [    {      "count": 0,      "key": "string",      "name": "string"    }  ],  "username": "string",  "visible_fields": [    "string"  ]}